View Issue Details

IDProjectCategoryView StatusLast Update
0000233Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:19
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000233: Enhance validators to skip hidden fields
DescriptionATM, validators are triggered on button click and in case the field is marked mandatory. Besides, fields can be hidden using hide() within a controller and/or tag.

This may lead to the situation where hidden fields (user can't see them) are validated as mandatory fields although users don't have the chance to fill them or correct the input.

For this reason, validation mechanism should be enhanced to apply validators only in case the field is mandarory AND visible.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-09-03 07:42 ChristianAchatz New Issue
2014-09-03 07:42 ChristianAchatz Status new => assigned
2014-09-03 07:42 ChristianAchatz Assigned To => ChristianAchatz
2014-09-05 16:15 ChristianAchatz Description Updated View Revisions
2014-09-05 17:51 ChristianAchatz Status assigned => resolved
2014-09-05 17:51 ChristianAchatz Fixed in Version => 3.0
2014-09-05 17:51 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed